Create a publishing acknowledgement
post
http://{PublishServerHost}/api/productCatalogManagement/v1/publishingAcknowledgement
Receives the acknowledgment from spoke system and update the publishing status corresponding to the spoke system.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : PublishingAcknowledgement
Type:
objectTitle:
PublishingAcknowledgementA detailed description of an acknowledgment of the published project from a spoke system.
Show Source
-
eventId(required): string
The ID of the event associated with the publishing acknowledgement.
-
message(required): string
The error message.
-
projectId(required): string
The ID of the project associated with the publishing acknowledgement.
-
projectItemsStatus: array
projectItemsStatus
A list of project items status associated with the publishing acknowledgement.
-
status(required): string
Title:
PublishStatusTypeAllowed Values:[ "SUCCESS", "FAILURE" ]The valid values for the publish status.
Nested Schema : projectItemsStatus
Type:
arrayA list of project items status associated with the publishing acknowledgement.
Show Source
-
Array of:
object ProjectItemStatusRef
Title:
ProjectItemStatusRefThe project Item Publish Status reference.
Nested Schema : ProjectItemStatusRef
Type:
objectTitle:
ProjectItemStatusRefThe project Item Publish Status reference.
Show Source
-
@referredType(required): string
The actual type of the target instance when needed for disambiguation.
-
errorLog: string
The error message for the failure.
-
id(required): string
The ID of the project item status reference.
-
status(required): string
Title:
PublishStatusTypeAllowed Values:[ "SUCCESS", "FAILURE" ]The valid values for the publish status. -
version(required): string
The version of the object.
Response
201 Response
The publishing acknowledgement was created successfully.
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
401 Response
Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
404 Response
The resource with the specified URI couldn't be found.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
405 Response
HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
409 Response
The request can't be completed due to a conflict with the current state of the resource.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
Examples
The following example shows how to create a publish job by submitting a POST request on the REST resource using cURL.
cURL Command
curl -H 'Authorization:
Bearer<accessToken>' -X POST
https://{FusionAppsHost}/api/productCatalogManagement/v1/publishingAcknowledgement'
\ -H 'Content-Type: application/json' -D @create_publishack.json | json_pp
Example of Request Body
The following
example shows the contents of the request body in JSON format.
{
"status": "Success"
}